Bug 1243082 - rpm FTBFS during stage2 bootstrap - please, move autoreconf from %build to %prep
rpm FTBFS during stage2 bootstrap - please, move autoreconf from %build to %prep
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
21
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-bootstrap
  Show dependency treegraph
 
Reported: 2015-07-14 14:27 EDT by Jaromír Cápík
Modified: 2016-01-31 21:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:25:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaromír Cápík 2015-07-14 14:27:40 EDT
Description of problem:
During the stage2 bootstrap we experience FTBFS caused by the rpm-4.11.1-sepdebugcrcfix.patch that modifies Makefile.am. That's ok in case of regular builds as such changes trigger the aclocal call and aclocal is present in full-featured Fedora environment. However, this breaks the bootstrap procedure since we have no autotools in the stage2 when building Fedora from scratch. Fortunately this can be solved with minimal effort. You call the autoreconf -i -f in the %build phase. Would it be possible to move the autoreconf call from %build to %prep ? The %prep phase is executed during the stage1 source unpacking and patching using the host's rpmbuild, but the %build phase cannot be run as the builds are native in the stage2 and we don't have any rpmbuild/rpm in the stage2 environment yet, therefore building everything with so called recipes (shell based replacement for %build and %install). In general, calling autoreconf -i -f in %prep is probably more correct as it does a very similar task to patching. It prepares the sources for building and allows applying patches on top of auto-reconfigured sources.

Version-Release number of selected component (if applicable):
rpm-4.12.0.1-7.fc21

How reproducible:
always
Comment 1 Jaromír Cápík 2015-09-16 09:48:37 EDT
We managed to hack autotools so that they're available early in stage2 and this issue does not affect the bootstrap anymore. I remember we discussed the spec modification and you wanted my confirmation whether it fixes the issue. Since it doesn't matter now, it's up to you whether you want to keep the modification or drop it. Anyway, thanks for your time.
Comment 2 Fedora End Of Life 2015-11-04 05:29:54 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 09:25:14 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.